<?php
/**
 * @package    com_responsibilities
 * @subpackage component
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

// import Joomla controller library
jimport('joomla.application.component.controller');

/**
 * General Controller of responsibilities component
 * @since 1.0.0
 */
class ResponsibilitiesController extends JControllerLegacy
{
        protected $default_view;

        /**
         * display task
         *
         * @return void
         * @since 1.0.0
         */
        function display($cachable = false, $urlparams = false)
        {
            // set default view
            $this->default_view = 'persons';
            
            // call parent behavior
            parent::display($cachable, $urlparams);
        }
}