--	   _   ___ __  __        _ _           _
--	  /_\ / __|  \/  |___ __| (_)__ _   __| |___
--	 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
--	/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
--

--
-- Table structure for table `#__sponsorswall_columnwidths`
--

DROP TABLE IF EXISTS `#__responsibilities`;

CREATE TABLE IF NOT EXISTS `#__responsibilities` (
`id` int(11) unsigned NOT NULL,
  `vorname` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nachname` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `strasse` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `plz` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ort` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telefon` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `aufgaben` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(4) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;

ALTER TABLE `#__responsibilities`
 ADD PRIMARY KEY (`id`);
 
ALTER TABLE `#__responsibilities`
 MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;
-- --------------------------------------------------------

--
-- Table structure for table `zlago_sponsorswall_sponsors`
--

DROP TABLE IF EXISTS `#__responsibilities_assignments`;

CREATE TABLE IF NOT EXISTS `#__responsibilities_assignments` (
  `id` int(11) unsigned NOT NULL,
  `user_type` tinyint(4) unsigned NOT NULL COMMENT '(1): Keine Verknüpfung; (2) Joomla_User; (3) Wicked_User',
  `user_id` int(11) unsigned NOT NULL,
  `cid` int(11) unsigned NOT NULL,
  `strasse` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `plz` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ort` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telefon` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `aufgaben` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;

ALTER TABLE `#__responsibilities_assignments`
 ADD PRIMARY KEY (`id`);
 
 ALTER TABLE `#__responsibilities_assignments`
 MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;
